Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  object BackendReporting

  Utilities for error reporting.

  Utilities for error reporting.

  Defines some utility methods to make error reporting with Either easier.

  Definition Classes
    jvm
- CalleeInfoWarning
- CalleeNotFinal
- CannotInlineWarning
- ClassInlineInfoWarning
- ClassNotFound
- ClassNotFoundWhenBuildingInlineInfoFromSymbol
- ClassSymbolInfoFailureSI9111
- FieldNotFound
- IllegalAccessCheckFailed
- IllegalAccessInstructions
- Invalid
- MethodInlineInfoError
- MethodInlineInfoIncomplete
- MethodInlineInfoMissing
- MethodNotFound
- MethodWithHandlerCalledOnNonEmptyStack
- MissingBytecodeWarning
- NoClassBTypeInfo
- NoClassBTypeInfoClassSymbolInfoFailedSI9111
- NoClassBTypeInfoMissingBytecode
- NoInlineInfoAttribute
- OptimizerWarning
- ResultingMethodTooLarge
- RewriteClosureAccessCheckFailed
- RewriteClosureApplyToClosureBodyFailed
- RewriteClosureIllegalAccess
- RightBiasedEither
- StrictfpMismatch
- SynchronizedMethod
- UnknownInvokeDynamicInstruction
- UnknownScalaInlineInfoVersion

o

scala.tools.nsc.backend.jvm.BackendReporting

# UnknownInvokeDynamicInstruction

###

#### object UnknownInvokeDynamicInstruction extends OptimizerWarning with Product with Serializable

Source
  BackendReporting.scala

Linear Supertypes
java.io.Serializable, Product, Equals, OptimizerWarning, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnknownInvokeDynamicInstruction
2. Serializable
3. Product
4. Equals
5. OptimizerWarning
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def emitWarning(settings: CompilerSettings): Boolean
   Definition Classes
     UnknownInvokeDynamicInstruction → OptimizerWarning
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementName(n: Int): String
    Definition Classes
      Product
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      UnknownInvokeDynamicInstruction → AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from OptimizerWarning

### Inherited from AnyRef

### Inherited from Any

### Ungrouped